#!/bin/sh
# All Rights Reserved.
# Copyright (C) 2006,2010, Hitachi, Ltd.
############################################################
# Functions

# Answer check subroutine
chk_YesNo()
{
    while [ 1 ]
    do
        echo -n "(y|n[n]) : "
        read ANS
        case $ANS in
          Y|y)
            return 0
            ;;
          N|n|*)
            return 1
            ;;
        esac
    done
}

############################################################
# Main function
PRODUCT_NAME="gamevlog check daemon"

echo "--------------------------------------------------------------"
echo " ${PRODUCT_NAME} Installer."
echo "      All Rights Reserved. Copyright (C) 2010, Hitachi, Ltd.  "
echo "--------------------------------------------------------------"

if [ `whoami` != "root" ]
then
    echo "Failed."
    echo "You are not root user."
    echo "Installation was canceled."
    exit 1
fi

CD_DIR=`which $0 | sed 's/\/[^/]*$//'`
INST_DIR="/opt/H_Densa/GAMCHKDAEMON"
INST_VAR="/var/H_Densa/GAMCHKDAEMON"
RC_FILE=miacat_gamevlog_check_d
RC_FILE_FROM=${CD_DIR}/${RC_FILE}
RC_FILE_TO=/etc/rc.d/init.d/${RC_FILE}
SHPROG_FROM=${CD_DIR}/miacat_gamevlog_check.sh
SHPROG_TO=${INST_DIR}/miacat_gamevlog_check.sh
VER_FROM=${CD_DIR}/version
VER_TO=${INST_DIR}/version
UNINSTALLER_FROM=${CD_DIR}/uninstall.sh
UNINSTALLER_TO=${INST_DIR}/uninstall.sh

if [ -d ${INST_DIR} ]
then
    if [ -f ${RC_FILE_TO} ]
    then
        echo "'${PRODUCT_NAME}' is already installed."
        echo "Installation was canceled."
        exit 1
    fi
    rm -rf ${INST_DIR}
fi


##############################
# Confirm installation
echo "Do you install gamevlog check daemon?"
if ! chk_YesNo
then
    echo "Installation was canceled."
    exit 1
fi

##############################
# Copy file
echo "Copy file ..."
mkdir -p ${INST_VAR}
mkdir -p ${INST_DIR}
cp -f ${VER_FROM}   ${VER_TO}
cp -f ${SHPROG_FROM} ${SHPROG_TO}
cp -f ${UNINSTALLER_FROM} ${UNINSTALLER_TO}
cp -f ${RC_FILE_FROM}     ${RC_FILE_TO}
chmod 0755 ${RC_FILE_TO} ${UNINSTALLER_TO}

##############################
# Install daemon
echo "Install daemon ..."
chkconfig --add ${RC_FILE}

##############################
# Start daemon
echo "Start daemon ..."
(cd /; /etc/init.d/miacat_gamevlog_check_d start)
sleep 1

echo "Installation was completed."

exit 0
