#!/bin/sh
# All Rights Reserved.
# Copyright (C) 2006,2010, Hitachi, Ltd.
############################################################
# Answer check subroutine
chk_YesNo()
{
    while [ 1 ]
    do
        echo -n "(y|n[n]) : "
        read ANS
        case $ANS in
          Y|y)
            return 0
            ;;
          N|n|*)
            return 1
            ;;
        esac
    done
}

############################################################
# Main function

PRODUCT_NAME="gamevlog check daemon"

echo "--------------------------------------------------------------"
echo " ${PRODUCT_NAME} Uninstaller."
echo "        All Rights Reserved. Copyright (C) 2010, Hitachi, Ltd."
echo "--------------------------------------------------------------"

if [ `whoami` != "root" ]
then
    echo "Failed."
    echo "You are not root user."
    echo "Uninstallation was canceled."
    exit 1
fi

INST_DIR="/opt/H_Densa/GAMCHKDAEMON"
INST_VAR="/var/H_Densa/GAMCHKDAEMON"
RC_FILE=miacat_gamevlog_check_d
RC_FILE_TO=/etc/rc.d/init.d/${RC_FILE}

if [ -d ${INST_DIR} ]
then
    # Uninstall function
    echo "Do you uninstall '${PRODUCT_NAME}' ?"
    if ! chk_YesNo
    then
        echo "Uninstallation was canceled."
        exit 1
    fi
    if [ -f ${RC_FILE_TO} ]
    then
        ${RC_FILE_TO} stop > /dev/null
        chkconfig --del ${RC_FILE}
        rm -f  ${RC_FILE_TO}
    fi
    sleep 1
    rm -rf ${INST_DIR}
    rm -rf ${INST_VAR}

    echo "Uninstallation was completed."
else
    echo "${PRODUCT_NAME} is not installed."
fi

exit 0
